from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XRecentFunctions(XInterface, Protocol):
    def getRecentFunctionIds(self) -> list[int]: ...
    def setRecentFunctionIds(self, aRecentFunctionIds: sequence< long >) -> None: ...
    def getMaxRecentFunctions(self) -> int: ...
